package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF3C2Response {

    @Parameter(name = "AdministrativeUnit")
    String administrativeUnit();

    @Parameter(name = "BankEmployeeType")
    String bankEmployeeType();

    @Parameter(name = "BirthDate")
    java.util.Date birthDate();

    @Parameter(name = "BirthNumber")
    String birthNumber();

    @Parameter(name = "BirthPlace")
    String birthPlace();

    @Parameter(name = "BranchCode")
    String branchCode();

    @Parameter(name = "BranchName")
    String branchName();

    @Parameter(name = "BusinessCity")
    String businessCity();

    @Parameter(name = "BusinessCityDistrict")
    String businessCityDistrict();

    @Parameter(name = "BusinessCountry")
    String businessCountry();

    @Parameter(name = "BusinessEnd")
    java.util.Date businessEnd();

    @Parameter(name = "BusinessLandRegistryNumber")
    String businessLandRegistryNumber();

    @Parameter(name = "BusinessName")
    String businessName();

    @Parameter(name = "BusinessPSC")
    String businessPSC();

    @Parameter(name = "BusinessSector")
    String businessSector();

    @Parameter(name = "BusinessStart")
    java.util.Date businessStart();

    @Parameter(name = "BusinessStreet")
    String businessStreet();

    @Parameter(name = "BusinessStreetNumber")
    String businessStreetNumber();

    @Parameter(name = "CIFCreationDate")
    java.util.Date cIFCreationDate();

    @Parameter(name = "CIFFO")
    String ciffo();

    @Parameter(name = "CIFFOP")
    String ciffop();

    @Parameter(name = "ClientType")
    String clientType();

    @Parameter(name = "ContactInformationExpirationDate")
    java.util.Date contactInformationExpirationDate();

    @Parameter(name = "ContractInformationValidity")
    String contractInformationValidity();

    @Parameter(name = "Country")
    String country();

    @Parameter(name = "DIC")
    String dic();

    @Parameter(name = "Education")
    String education();

    @Parameter(name = "EmployedSince")
    java.util.Date employedSince();

    @Parameter(name = "EmployerICO")
    String employerICO();

    @Parameter(name = "EmployersName")
    String employersName();

    @Parameter(name = "EmploymentType")
    String employmentType();

    @Parameter(name = "FamilyName")
    String familyName();

    @Parameter(name = "FirstName")
    String firstName();

    @Parameter(name = "Gender")
    String gender();

    @Parameter(name = "HousingType")
    String housingType();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "IncomeConfirmationDate")
    java.util.Date incomeConfirmationDate();

    @Parameter(name = "IncomeGroup")
    String incomeGroup();

    @Parameter(name = "LastUpdateDate")
    java.util.Date lastUpdateDate();

    @Parameter(name = "LegalForm")
    String legalForm();

    @Parameter(name = "MaritalAssetsStatus")
    String maritalAssetsStatus();

    @Parameter(name = "MaritalStatus")
    String maritalStatus();

    @Parameter(name = "MonthlyNetIncome")
    Double monthlyNetIncome();

    @Parameter(name = "NACE")
    String nace();

    @Parameter(name = "NurturedChildrenNumber")
    Long nurturedChildrenNumber();

    @Parameter(name = "OccupationDetail")
    String occupationDetail();

    @Parameter(name = "PersonalBanker")
    String personalBanker();

    @Parameter(name = "Post")
    String post();

    @Parameter(name = "RWS_Addresses")
    java.util.List<MWF3C2RWSAddresses> rWSAddresses();

    @Parameter(name = "RWS_Documents")
    java.util.List<MWF3C2RWSDocuments> rWSDocuments();

    @Parameter(name = "RWS_Emails")
    java.util.List<MWF3C2RWSEmails> rWSEmails();

    @Parameter(name = "RWS_Phones")
    java.util.List<MWF3C2RWSPhones> rWSPhones();

    @Parameter(name = "RelationToBank")
    String relationToBank();

    @Parameter(name = "Residency")
    String residency();

    @Parameter(name = "Salutation")
    String salutation();

    @Parameter(name = "SecondCountry")
    String secondCountry();

    @Parameter(name = "SecondName")
    String secondName();

    @Parameter(name = "SendMarketingOffers")
    String sendMarketingOffers();

    @Parameter(name = "ShortenedName")
    String shortenedName();

    @Parameter(name = "SleepingAccount")
    String sleepingAccount();

    @Parameter(name = "SocialEconomicalGroup")
    String socialEconomicalGroup();

    @Parameter(name = "StudentsConfirmation")
    String studentsConfirmation();

    @Parameter(name = "StudentsConfirmationExpirationDate")
    java.util.Date studentsConfirmationExpirationDate();

    @Parameter(name = "TitleAfter")
    String titleAfter();

    @Parameter(name = "TitleBefore")
    String titleBefore();

    @Parameter(name = "UndesirableClient")
    String undesirableClient();

}